Loading...
Searching...
No Matches
BALL::NumberOfHydrophobicAtoms Class Reference

`#include <BALL/QSAR/simpleDescriptors.h>`

Inheritance diagram for BALL::NumberOfHydrophobicAtoms:

## Public Member Functions

Constructors and Destructors
| NumberOfHydrophobicAtoms ()
| NumberOfHydrophobicAtoms (const NumberOfHydrophobicAtoms &nha)
| NumberOfHydrophobicAtoms (const String &expression)
virtual | ~NumberOfHydrophobicAtoms ()
Acessors
const String & | getExpression () const
void | setExpression (const String &expression)
double | compute (AtomContainer &ac)
Public Member Functions inherited from BALL::SimpleBase
| SimpleBase ()
| SimpleBase (const SimpleBase &sb)
| SimpleBase (const String &name)
| SimpleBase (const String &name, const String &unit)
virtual | ~SimpleBase ()
virtual SimpleBase & | operator= (const SimpleBase &sb)
void | computeAllDescriptors (AtomContainer &ac)
void | setDataFolder (const char *folder)
Public Member Functions inherited from BALL::Descriptor
| Descriptor ()
| Descriptor (const Descriptor &descriptor)
| Descriptor (const String &name)
| Descriptor (const String &name, const String &unit)
virtual | ~Descriptor ()
Descriptor & | operator= (const Descriptor &descriptor)
Processor::Result | operator() (AtomContainer &ac)
const String & | getName () const
void | setName (const String &name)
void | setUnit (const String &name)
const String & | getUnit () const
Public Member Functions inherited from BALL::UnaryProcessor< AtomContainer >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()
virtual bool | start ()
virtual bool | finish ()

## Assignment

NumberOfHydrophobicAtoms & | operator= (const NumberOfHydrophobicAtoms &nha)

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer
bool | isValid_ (AtomContainer &ac)
void | calculate_ (AtomContainer &ac)

## Detailed Description

This descriptor return the number of hydrophobic atoms. If another set of hydrophobic atoms should be considered, another expression can be set via setExpression, with an Expression string as parameter.

Definition at line 1226 of file simpleDescriptors.h.

## Constructor & Destructor Documentation

## NumberOfHydrophobicAtoms() [1/3]

BALL::NumberOfHydrophobicAtoms::NumberOfHydrophobicAtoms | ( |  | ) |

Default constructur

## NumberOfHydrophobicAtoms() [2/3]

BALL::NumberOfHydrophobicAtoms::NumberOfHydrophobicAtoms | ( | const NumberOfHydrophobicAtoms & | nha | ) |

Copy constructor

## NumberOfHydrophobicAtoms() [3/3]

BALL::NumberOfHydrophobicAtoms::NumberOfHydrophobicAtoms | ( | const String & | expression | ) |

Expression constructor

## ~NumberOfHydrophobicAtoms()

virtual BALL::NumberOfHydrophobicAtoms::~NumberOfHydrophobicAtoms | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## compute()

double BALL::NumberOfHydrophobicAtoms::compute | ( | AtomContainer & | ac | ) |

virtual

Reimplemented from BALL::Descriptor.

## getExpression()

const String & BALL::NumberOfHydrophobicAtoms::getExpression | ( |  | ) | const

## operator=()

NumberOfHydrophobicAtoms & BALL::NumberOfHydrophobicAtoms::operator= | ( | const NumberOfHydrophobicAtoms & | nha | ) |

Assignment operator

## setExpression()

void BALL::NumberOfHydrophobicAtoms::setExpression | ( | const String & | expression | ) |